#!/bin/csh

set APP_HOME=`dirname $0`/..
set DIR_LIB=${APP_HOME}/lib
set DIR_CONFIG=${APP_HOME}/config

set CLASSPATH=${APP_HOME}:${DIR_CONFIG}
set CLASSPATH=${CLASSPATH}:${DIR_LIB}/tool-5.3.0-SNAPSHOT.jar

set DB_TYPE=syabse
set PKG=business.table
set UTIL_PKG=jp.co.sds_corp.util
set AUDIT=update_time
# -Dtable.usesqltool=true
# -Dtable.method=lower
# -Dtable.encode=sjis

java -Dtable.dbtype=${DB_TYPE} \
	-Dtable.package=${PKG} \
	-Dtable.util.package=${UTIL_PKG} \
	-Dtable.audit=${AUDIT}\
	-Dtable.usesqltool=true \
	-Dtable.method=lower \
	-Dtable.column=upper \
	-Dtable.encode=euc-jp \
	-cp ${CLASSPATH} jp.co.sds_corp.tool.dba.TableLayout $*
